Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Client/Values/ContentTypeGroupRefList.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\REST\Client\Values;
8
9 use eZ\Publish\Core\REST\Client\ContentTypeService;
10
14 class ContentTypeGroupRefList
15 {
21 public $listReference;
22
28 protected $contentTypeGroupReferences;
29
35 protected $contentTypeService;
36
42 public function __construct(ContentTypeService $contentTypeService, $listReference, array $contentTypeGroupReferences)
43 {
44 $this->contentTypeService = $contentTypeService;
45 $this->listReference = $listReference;
46 $this->contentTypeGroupReferences = $contentTypeGroupReferences;
47 }
48
54 public function getContentTypeGroups()
55 {
56 $contentTypeGroups = array();
57 foreach ($this->contentTypeGroupReferences as $reference) {
58 $contentTypeGroups[] = $this->contentTypeService->loadContentTypeGroup($reference);
59 }
60
61 return $contentTypeGroups;
62 }
63 }
eZ\Publish\Core\REST\Client\ContentTypeService
Definition: Core/REST/Client/ContentTypeService.php:36
eZ\Publish\Core\REST\Client\Values\ContentTypeGroupRefList
ContentTypeGroupRefList.
Definition: Client/Values/ContentTypeGroupRefList.php:15
eZ\Publish\Core\REST\Client\Values\ContentTypeGroupRefList\$listReference
$listReference
Definition: Client/Values/ContentTypeGroupRefList.php:21
eZ\Publish\Core\REST\Client\Values\ContentTypeGroupRefList\$contentTypeService
$contentTypeService
Definition: Client/Values/ContentTypeGroupRefList.php:35
eZ\Publish\Core\REST\Client\Values\ContentTypeGroupRefList\__construct
__construct(ContentTypeService $contentTypeService, $listReference, array $contentTypeGroupReferences)
Definition: Client/Values/ContentTypeGroupRefList.php:42
eZ\Publish\Core\REST\Client\Values\ContentTypeGroupRefList\$contentTypeGroupReferences
$contentTypeGroupReferences
Definition: Client/Values/ContentTypeGroupRefList.php:28
eZ\Publish\Core\REST\Client\Values\ContentTypeGroupRefList\getContentTypeGroups
getContentTypeGroups()
Fetches and returns the ContentTypeGroups contained in the list.
Definition: Client/Values/ContentTypeGroupRefList.php:54
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.